Leap0

Glob

Search for files matching a glob pattern under the given path.

POST
/v1/sandbox/{sandboxID}/filesystem/glob

Search for files matching a glob pattern under the given path.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Base directory to search from.

pattern?string

Glob pattern to match file names against.

exclude?array<string>

Glob patterns to exclude (e.g. node_modules, .git).

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/glob" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "items": [    "string"  ]}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}